import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterManageInventoryAllocationForFreezingService =
  createAsyncThunk(
    "SLAUGHTER_MANAGE_INVENTORY_ALLOCATIONS_FOR_FREEZING_SERVICE",
    async (d, { dispatch }) => {
      dispatch(LOADING_START());
      const { data, status } = await axios.get("cold-house-allocations/", {
        params: {
          role: d.role,
          date: d.date,
        },
      });
      dispatch(LOADING_END());
      return { data, status };
    }
  );
